/* @import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap'); */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

* {
    margin: 0;
    padding: 0;
    user-select: none;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

html,
body {
    height: 100%;
}

.heading {
    text-align: center;
    text-transform: uppercase;
    font-size: 30px;
    font-weight: 500;
    color: #31344b;
    height: 60px;
    width: 330px;
    padding-top: 8px;
    border: none;
    outline: none;
    background: #ecf0f3;
    border-radius: 5px;
    box-shadow: -3px -3px 7px #ffffff,
        3px 3px 5px #ceced1;
}

body {
    display: grid;
    place-items: center;
    background: #ecf0f3;
}

.calculator {
    width: 330px;
    background: #ecf0f3;
    padding: 40px 30px;
    border-radius: 10px;
    box-shadow: -3px -3px 7px #ffffff,
        3px 3px 5px #ceced1;
}

form .result {
    height: 60px;
    width: 100%;
    background: #ecf0f3;
    border-radius: 5px;
    box-shadow: inset -3px -3px 7px #ffffff,
        inset 3px 3px 5px #ceced1;
}

.result input {
    width: 100%;
    height: 100%;
    background: none;
    border: none;
    outline: none;
    font-size: 30px;
    text-align: right;
    font-weight: 500;
    color: #31344b;
    pointer-events: none;
    font-family: 'Poppins', sans-serif;
}

form .buttons {
    text-align: center;
    padding: 30px 0 0 0;
}

.buttons input[type="button"] {
    height: 56px;
    width: 56px;
    font-size: 23px;
    margin: 4px;
    border: none;
    outline: none;
    background: #ecf0f3;
    border-radius: 5px;
    color: #31344b;
    box-shadow: -3px -3px 7px #ffffff,
        3px 3px 5px #ceced1;
}

.buttons input[type="button"]:focus {
    color: #3498db;
    transform: scale(0.9);
    box-shadow: inset -3px -3px 7px #ffffff73,
        inset 2px 2px 5px rgba(94, 104, 121, 0.288);
}